Debian Bug report logs - #577414
mysql-5.1: FTBFS on kfreebsd: error: Could not find the right ps and/or grep switches. Which OS is this?

version graph

Package: src:kfreebsd-8; Maintainer for src:kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sun, 11 Apr 2010 12:03:01 UTC

Severity: important

Tags: unreproducible, wontfix

Found in version kfreebsd-8/8.0-3

Fixed in version kfreebsd-8/8.0-4

Done: Steven Chamberlain <steven@pyro.eu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#577414; Package src:mysql-5.1. (Sun, 11 Apr 2010 12:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Sun, 11 Apr 2010 12:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mysql-5.1: FTBFS on kfreebsd: error: Could not find the right ps and/or grep switches. Which OS is this?
Date: Sun, 11 Apr 2010 14:00:12 +0200
Source: mysql-5.1
Version: 5.1.45-3
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package no longer builds on kfreebsd-*:
| checking for perl... /usr/bin/perl
| 0
| checking for ps... /bin/ps
| configure: error: Could not find the right ps and/or grep switches. Which OS is this?  See the Installation chapter in the Reference Manual.
| make: *** [configure-stamp-pic] Error 1

Full build logs:
  https://buildd.debian.org/status/package.php?p=mysql-5.1

Mraw,
KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#577414; Package src:mysql-5.1. (Mon, 10 May 2010 23:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Mon, 10 May 2010 23:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 577414@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 577414@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#577414: mysql-5.1: FTBFS on kfreebsd: error: Could not find the right ps and/or grep switches. Which OS is this?
Date: Tue, 11 May 2010 01:15:18 +0200
[Message part 1 (text/plain, inline)]
severity 577414 important
thanks

Cyril Brulebois <kibi@debian.org> (11/04/2010):
> your package no longer builds on kfreebsd-*:
> | checking for perl... /usr/bin/perl
> | 0
> | checking for ps... /bin/ps
> | configure: error: Could not find the right ps and/or grep switches. Which OS is this?  See the Installation chapter in the Reference Manual.
> | make: *** [configure-stamp-pic] Error 1

For some reasons, repeated give-backs are sufficient to get this
package to build. Until somebody investigates, I'm downgrading the
severity of this bugreport.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'serious' Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Mon, 10 May 2010 23:18:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#577414; Package src:mysql-5.1. (Tue, 11 May 2010 01:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Tue, 11 May 2010 01:09:05 GMT) Full text and rfc822 format available.

Message #17 received at 577414@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: Cyril Brulebois <kibi@debian.org>, 577414@bugs.debian.org
Subject: Re: [debian-mysql] Bug#577414: mysql-5.1: FTBFS on kfreebsd: error: Could not find the right ps and/or grep switches. Which OS is this?
Date: Tue, 11 May 2010 02:44:42 +0200
Am Dienstag, den 11.05.2010, 01:15 +0200 schrieb Cyril Brulebois:
> Cyril Brulebois <kibi@debian.org> (11/04/2010):
> > your package no longer builds on kfreebsd-*:
> > | checking for perl... /usr/bin/perl
> > | 0
> > | checking for ps... /bin/ps
> > | configure: error: Could not find the right ps and/or grep switches. Which OS is this?  See the Installation chapter in the Reference Manual.
> > | make: *** [configure-stamp-pic] Error 1
> 
> For some reasons, repeated give-backs are sufficient to get this
> package to build. Until somebody investigates, I'm downgrading the
> severity of this bugreport.

Are you sure this is a bug in the package, and not an issue on the
kfreebsd buildd?

	Norbert





Added tag(s) unreproducible. Request was from ntretkow@rollcage.tretkowski.de (Norbert Tretkowski) to control@bugs.debian.org. (Wed, 19 May 2010 07:27:02 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Fri, 16 Mar 2012 00:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#577414; Package src:mysql-5.1. (Thu, 19 Apr 2012 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Thu, 19 Apr 2012 23:12:03 GMT) Full text and rfc822 format available.

Message #26 received at 577414@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 577414@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#577414: mysql-5.1: FTBFS on kfreebsd: error: Could not find the right ps and/or grep switches. Which OS is this?
Date: Fri, 20 Apr 2012 00:08:15 +0100
reassign 577414 src:kfreebsd-8
found 577414 8.0-3
close 577414 8.0-4
thanks

Hi,

This has not been an issue since 2010-05-12.  Comparison of the build
log before and after shows that the kernel version changed, GNU/kFreeBSD
8.0-1-686 -> GNU/kFreeBSD 8.0-1-686-smp.

The fix was most likely in this specific version (which improved
linprocfs, and also enabled the -smp flavour to be displayed in the
kernel ident as seen) :

>  kfreebsd-8  (8.0-4) unstable; urgency=medium
> 
>    [ Robert Millan ]
>    * Remove build kludge in favour of using libsbuf-dev.
>  
>    [ Petr Salinger ]
>    * Improve linprocfs, see #344546, #460331, #521304.
>  
>    [ Aurelien Jarno ]
>    * Set kernel ident to kernel flavour and package version.
> 
>  -- Aurelien Jarno <aurel32@debian.org>  Tue, 16 Feb 2010 19:55:12 +0100 

Even squeeze even has a more recent version, 8.1+dfsg-8+squeeze2

Therefore closing this now.  Thanks!

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Bug reassigned from package 'src:mysql-5.1' to 'src:kfreebsd-8'. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 19 Apr 2012 23:12:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions mysql-5.1/5.1.45-3. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 19 Apr 2012 23:12:06 GMT) Full text and rfc822 format available.

Marked as found in versions kfreebsd-8/8.0-3. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 19 Apr 2012 23:12:07 GMT) Full text and rfc822 format available.

Marked as fixed in versions kfreebsd-8/8.0-4. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 19 Apr 2012 23:12:07 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Thu, 19 Apr 2012 23:12:08 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Thu, 19 Apr 2012 23:12:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Jul 2012 07:26:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:05:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.